Bug 129366 - [SATA] can't boot kernel-2.6.7-1.494.2.2 [ "irq 11: nobody cared!" ]
[SATA] can't boot kernel-2.6.7-1.494.2.2 [ "irq 11: nobody cared!" ]
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-06 19:52 EDT by matthew gatto
Modified: 2013-07-02 22:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:03:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matthew gatto 2004-08-06 19:52:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803 Epiphany/1.2.7

Description of problem:
I can't boot with the new kernel-2.6.7-1.494.2.2.


Version-Release number of selected component (if applicable):
kernel-2.6.7-1.494.2.2

How reproducible:
Always

Steps to Reproduce:
1) select kernel-2.6.7-1.494.2.2 from the grub boot menu and I get the
following output:

audit(blahblah)
Red Hat nash version 3.5.22
irq 11: nobody cared! (screaming interrupt?)
irq 11: Please try booting with acpi=off and report a bug
handlers:
[<2283c2a5>] (ata_interrupt+0x0/0x1cf [libata])
Disabling IRQ #11


Actual Results:  The computer hangs here.

Additional info:

Booting with acpi=off leads to the same behavior. Booting the old
kernel-2.6.6-1.435.2.3 works fine.

System specs: uniprocessor AMD Athlon Tbird on AOpen AK73 Pro (VIA
Apollo KT133 chipset) and a siimage 3112 SATA PCI card.

Maybe this is a dup of bug 123707?
Comment 1 Maurice Hoo 2004-08-15 13:33:34 EDT
Happens here too. 
Athlon XP2000 on ASUS A7N8X-DLX (ver. 1.3).
Comment 2 matthew gatto 2004-10-04 16:33:26 EDT
I re-enabled IDE-SATA and rebuilt kernel-2.6.8-1.521 from the SRPM and
it now boots and works. If anyone is interested in trying the RPM
(i686 architecture) I can put it online. I guess the problem was that
IDE-SATA was removed starting in Red Hat's 2.6.7 kernel exposing some
(ACPI?) hardware issues with libata.

Also, if there's anything I can do to help get libata SATA working
around the hardware issues (patches to try) please let me know.
Comment 3 Philippe Morry 2004-10-12 09:07:37 EDT
I'm interrested in this package !
i've the same problem with my Athlno 2800 - Asus A7N8X DLX !
Where could I find your package ?
Regards, 
Comment 4 matthew gatto 2004-10-12 16:42:18 EDT
I put it at http://sabersys.us/mattg/fedora/

I will be rebuilding it and uploading it as newer fedora-2 kernels are
released until the stock kernel is fixed to boot on my hardware.
Comment 5 Philippe Morry 2004-10-15 08:56:36 EDT
I had another problem with this kernel, I need the support of NTFS
which is not in this kernel. So I rebuild it myself.
Comment 6 matthew gatto 2004-11-24 22:36:47 EST
I still get this on kernel-2.6.9-1.6_FC2 with the following boot
output, after which it hangs:

Loading scsi_mod.ko module

SCSI subsystem initialized

Loading sd_mod.ko module

Loading libata.ko module

Loading sata_sil.ko module

ACPI: PCI interrupt 0000:00:0a.0[A] -> GSI 11 (level, low) -> IRQ 11

ata1: SATA max UDMA/100 cmd 0x22832080 ctl 0x2283208A bmda 0x22832000
irq 11

ata2: SATA max UDMA/100 cmd 0x228320C0 ctl 0x228320CA bmda 0x22832008
irq 11

irq 11: nobody cared! (screaming interrupt?)

irq 11: Please try booting with acpi=off and report a bug

[<02108041>] __report_bad_irq+0x3a/0x77

[<021085c4>] not_interrupt+0x19f/0x1c5

[<021089f3>] do_IRQ+0x1e1/0x290

[<02125298>] __do_softirq+0x2c/0x79

[<0210961f>] do_softirq+0x46/0x4d

=================

[<02108a98>] do_IRQ+0x286/0x290

[<02210471>] acpi_proccesor_idle+0xd3/0x1c5

[<0210408c>] cpu_idle+0x1f/0x34

[<023b66c3>] start_kernel+0x216/0x219

handlers:

[<22841ab9>] (ata_interrupt+0x0/0x1ee [libata])

Disabling IRQ #11

ata1: dev 0 ATA, max UDMA/133, 72303840 sectors: lba48
Comment 7 matthew gatto 2004-11-24 22:38:56 EST
argh, i guess the Windows carriage returns didn't show up in gedit but
they did here... sorry.
Comment 8 Dave Jones 2004-11-27 17:32:10 EST
mass update for old bugs:

Is this still a problem in the 2.6.9 based kernel update ?
Comment 9 matthew gatto 2004-12-02 08:59:34 EST
This is still a problem with kernel-2.6.9-1.6_FC2 on my hardware. See
my above comment #6. Rebuilding the kernel from the SRPM with IDE SATA
re-enabled fixes it for me.

Could some reopen this for me?
Comment 10 Dave Jones 2004-12-02 10:57:29 EST
can you be more specific what you mean by reenabling sata ?
The FC2 kernel has SATA enabled.
Comment 11 matthew gatto 2004-12-02 11:36:48 EST
I mean changing this:

--- /boot/config-2.6.9-1.6_FC2  2004-11-18 22:15:15.000000000 -0500
+++ /boot/config-2.6.9-1.6_FC2.1.gatto  2004-11-30 09:28:32.000000000
-0500
@@ -436,7 +436,7 @@
 #
 # Please see Documentation/ide.txt for help/info on IDE drives
 #
-# CONFIG_BLK_DEV_IDE_SATA is not set
+CONFIG_BLK_DEV_IDE_SATA=y
 # CONFIG_BLK_DEV_HD_IDE is not set
 CONFIG_BLK_DEV_IDEDISK=y
 CONFIG_IDEDISK_MULTI_MODE=y
Comment 12 Dave Jones 2004-12-02 13:43:23 EST
Ah. That's going to make it use the legacy IDE drivers instead of libata.

Adding Jeff to the Cc, as I guess he might have some clues.
Comment 13 Jeff Garzik 2005-03-25 02:38:31 EST
FYI, http://lkml.org/lkml/2005/3/25/33
Comment 14 Dave Jones 2005-04-16 00:03:43 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.